PluralAttributeElementNature (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.metamodel.source.binder
Enum PluralAttributeElementNature

    java.lang.Object
      java.lang.Enum<PluralAttributeElementNature>
          org.hibernate.metamodel.source.binder.PluralAttributeElementNature

All Implemented Interfaces:
  Serializable, Comparable<PluralAttributeElementNature>

    public enum PluralAttributeElementNature

extends Enum<PluralAttributeElementNature>

Describes the nature of the collection elements as declared by the metadata.

Enum Constant Summary
`BASIC`
`COMPONENT`
`MANY_TO_ANY`
`MANY_TO_MANY`
`ONE_TO_MANY`

Method Summary
`static PluralAttributeElementNature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PluralAttributeElementNature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### BASIC

    public static final PluralAttributeElementNature BASIC

### COMPONENT

    public static final PluralAttributeElementNature COMPONENT

### ONE_TO_MANY

    public static final PluralAttributeElementNature ONE_TO_MANY

### MANY_TO_MANY

    public static final PluralAttributeElementNature MANY_TO_MANY

### MANY_TO_ANY

    public static final PluralAttributeElementNature MANY_TO_ANY

Method Detail

### values

    public static PluralAttributeElementNature[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PluralAttributeElementNature c : PluralAttributeElementNature.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PluralAttributeElementNature valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.